mpt_HardResetHandler
Prev | Fusion message devices | Next

## Name

mpt_HardResetHandler — Generic reset handler

## Synopsis

`int mpt_HardResetHandler (` | MPT_ADAPTER * | ioc,
| int | sleepFlag`)`;

## Arguments

`ioc`

  Pointer to MPT_ADAPTER structure

`sleepFlag`

  Indicates if sleep or schedule must be called.

## Description

Issues SCSI Task Management call based on input arg values. If TaskMgmt fails, returns associated SCSI request.

## Remark

_HardResetHandler can be invoked from an interrupt thread (timer) or a non-interrupt thread. In the former, must not call `schedule`.

## Note

A return of -1 is a FATAL error case, as it means a FW reload/initialization failed.

Returns 0 for SUCCESS or -1 if FAILED.

Prev | Up | Next
mpt_print_ioc_summary | Home | mpt_get_cb_idx